[SciPy-User] New installation

URI zallen@urologicresearchinstitute....
Tue Feb 16 17:40:47 CST 2010


R. Padraic Springuel <R.Springuel <at> umit.maine.edu> writes:

> 
> I just tried to upgrade one of the computers I'm responsible for from
> Python 2.5 to Python 2.6 (including all the packages that are used) and
> while all the installations seemed to work just fine, I get the
> following error when I try to import numpy after install:
> 
> 
> Any idea what might be causing this error and what I can do to fix it?
> 
> Python: 2.6.4
> Numpy: 1.4.0
> Mac OS 10.5.8


R.-

Did you try to completely remove Python and then do a fresh install?  Whenever I
try to do upgrades or additions I always have problems, so I like to just wipe
everything out and install from scratch.

Another thing you can try is (if you are on Windows) the Python (x,y) installer
at http://www.pythonxy.com/download.php

I've only been using it for a couple days, but it lets you put a check mark next
to the packages you want at install time and it handles everything for you, so
you don't have to worry about missing something or making a configuration error.



More information about the SciPy-User mailing list